%% F18 Linear Analysis Folder Description
%
% README File for nlanal/ROA/Demos/F18Analysis/1_LinearAnalysis
%
% This file provides a brief description of the files in the
% nlanal/ROA/Demos/F18Analysis/1_LinearAnalysis folder. The ordering of the
% files as described below is also important to understand how the files
% are organized for the user in this folder. 
%
%  *NOTE:* ORDERING OF THE FILES AS MENTIONED BELOW IS IMPORTANT

%%  *Description:* 
%
%
% 1) *|f18_data.m|*   Contains physical parameters and aerodynamic data of
% F/A-18 aircraft. 
%
% 2) *|GenF18Aero.m|*  This file generates the F/A-18 aerodynamic data. The
% generated data are already inside the "f18_data.m" file.  Also, there is
% a "F18AeroData.MAT" file in the folder which contains the data. 
%
% 3) *|f18full.m|*  This file provides a full description of the F/A-18 6-DOF 
% nonlinear simulation model. The file is written in ODE45 format. 
%
% 4) *|f18_sfcn.m|*  This is a S-Function representation of f18full.m file.
% This file gets used during trimming the aircraft. 
%
% 5) *|RunF18Sim.m|*   This file generates the falling leaf motion of the
% aircraft by simulating the 6-DOF model. 
%
% 6) *|GenLinF18ModelGrid.m|*  This file generates open and closed loop linear
% models at different trim conditions. See inside the file for more
% details.  
% 
% *NOTE*: when the file is run for the first time set "saveflg = 1"
% to save the linear models to be used for future analysis. 
%
% 6A) *|GenF18LinModel.m|*  This file gets called by "GenLinF18ModelGrid.m". 
% This file generates trim points and both 9-state and 6-state open loop 
% linear models. The 6-state linear model is generated because the 
% nonlinear analysis uses a 6-state nonlinear representation of F/A-18. 
%
% 6B) *|TrimF18.m|*  This routine trims the F/A-18 aircraft.  This file also
% gets called by "GenLinF18ModelGrid.m" and "GenF18LinModel.m".
%
% 6C) *|GenF18LiCLPModel.m|*  This file generates closed loop models for 
% both baseline and revised controller. This file gets called by
% "GenLinF18ModelGrid.m". 
%    
% 7) *|Run_F18_LinAnal.m|*  This file performs linear robustness analysis on
% the generated linear models. 
%
% 8) *|RunF18_WCanal.m|*  This file performs worst case analysis on the
% generated model. 
%
% 9) *|RunF18NomSimClp.m|*  This file compares the nonlinear simulation 
% response between the closed loop models for initial condition perturbation.
%
% 10) *|f18trim.mdl|*  This simulink file gets called by "TrimF18.m" when 
% trimming is performed. 
%
% 11) *|f18nlclp.mdl|*  This simulink file builds up closed loop simulation 
% models for F/A-18 aircraft. "RunF18NomSimClp.m" sets up which controllers
% to use and other paramteres for performing the simulation using this
% simulink file. 
