%% F18 Nonlinear Analysis Folder Description
%
% README File for nlanal/ROA/Demos/F18Analysis/2_NonlinearAnalysis
%
% This file provides a brief description of the files in the
% nlanal/ROA/Demos/F18Analysis/1_LinearAnalysis folder. The ordering of the
% files as described below is also important to understand how the files
% are organized in this folder. 
%
% *NOTE:* ORDERING OF THE FILES AS MENTIONED BELOW IS IMPORTANT

%%  *Description:* 
%
%
% 1) *|f18Clpfull.m|*   This function creates a closed-loop realization of 
% the F18 plant around a trim point. This does not involve any approximation. 
%
% 2) *|FormF18CubicBaseline.m|*  This file creates a cubic approximation to 
% the closed-loop F/A-18 full nonlinear BASELINE model. 
%
% *NOTE:*  Depeneding on the gridding of state-space the formulation of 
% closed loop polynomial model can be time consuming.  Given the default 
% setting in the file, the polynomial model formulation takes upto ~13 mins
% on a quad core processor. Hence, it is advisable to save the files if 
% running for the first time. Set "saveflg = 1" to save the file. 
%
% 3) *|FormF18CubicRevised.m|*  This file creates a cubic approximation to 
% the closed-loop F/A-18 full nonlinear REVISED model. 
%
% *NOTE:*  The formulation of closed loop polynomial model is time
% consuming. Similar notes apply here as described for the 
% FormF18CubicBaseline.m file. Hence, save the files if running for the 
% first time. Set "saveflg = 1" to save the file. 
%
% 4) *|SimCompClpNLvsPoly.m|*  This file compares the closed loop polynomial 
% models with the full nonlinear simulation models.
%
% 5) *|Search4UnstableTraj.m|*  This file searched for an initial condition
% that causes instability in the given model. 
%
% 6) *|Run_F18ROA.m|*  This file can estimate either lower bound or upper
% bound of the ROA for the F/A-18 aircraft. This file uses the 
% "Search4UnstableTraj.m" to estimate the upper bound of the ROA and uses
% roaest.m wrapper to estimate the lower bound of ROA. 
%
%%  *Additional Files:* 
%
% 7) *|F18NL_Structure.m|*  This file investigates the structure of 
% nonlinearities in the F/A-18 model. 
%
% 8) *|Plot_MCSimTraj.m|*  This file plots the monte carlo simulation results.
%
% 9) *|errComp_CLP_FulllNL_Poly.m|*  This file does a heuristic comparison of
% the polynomial model with the full nonlinear closed loop model. 

